# use appimage from https://github.com/ivan-hc/OBS-Studio-appimage/releases/download/continuous

%define __os_install_post %{nil}

Name:	obs-studio
Version:	29.1.3
Release:	%mkrel 2
License:	GPLv3
Group:	Video
Summary: A recording/broadcasting program
Url:		https://github.com/ivan-hc/OBS-Studio-appimage/releases/download/continuous
Source0:    %{name}-%{version}.tar.xz
Patch0:     fix_python_binary_loading.patch
Patch1:    ignore_unused_submodules.patch
BuildRequires: cmake
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: libxcb-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(jansson)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpci)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  mbedtls-devel
BuildRequires:  swig
BuildRequires:  pkgconfig(fdk-aac)
BuildRequires:  pkgconfig(x264)


%description
Open Broadcaster Software is free and open source software for video
recording and live streaming.

%prep
%setup -q
%apply_patches

%build
  cmake -B build \
  -DCMAKE_INSTALL_PREFIX="/usr" \
  -DENABLE_BROWSER=OFF \
  -DENABLE_VST=ON \
  -DENABLE_VLC=OFF \
  -DENABLE_NEW_MPEGTS_OUTPUT=OFF \
  -DENABLE_AJA=OFF \
  -DENABLE_LIBX264=ON \
  -DENABLE_LIBFDK=ON \
  -DENABLE_JACK=ON \
  -DENABLE_PIPEWIRE=OFF \
  -DENABLE_SPEEXDSP=OFF \
  -DOBS_VERSION_OVERRIDE="%{version}" \
  -Wno-dev
  cmake --build build


%install
DESTDIR="%buildroot" cmake --install build

rm -rf %buildroot/%{_libdir}/pkgconfig
rm -rf %buildroot/%{_libdir}/cmake
rm -rf %buildroot/%{_libdir}/*.so
rm -rf %buildroot/%{_includedir}

%files
%{_bindir}
%{_datadir}
%{_libdir}

%post
%update_menus

%postun
%clean_menus

%changelog
* Wed Aug 23 2023 tex -29.1.3-2pclos2023
- try to make native build

* Mon Aug 21 2023  tex - 29.1.3-1pclos2023
- create rpm from appimage
